Commit Diff


commit - 00db32cd6839472a341ac5ae5eeb8d1b1aeae54b
commit + 2a40c74e5924bdd018867ee33003061ed22fc678
blob - ad4a1ade180b9f3b20aac07dd907ee9e588bde7e
blob + 037cba59eb0e19165c8d34f4c0f8291321c6636f
--- deploy.sh
+++ deploy.sh
@@ -287,7 +287,7 @@ create_users() {
 	_owner=$(check_owner "$username" "$owner")
 	if test -n "$_owner"
 	then
-		if ! grep -e "^$_owner" /etc/passwd > /dev/null
+		if ! grep -e "^${_owner}:" /etc/passwd > /dev/null
 		then
 		useradd -m -G "$VMDUSERS" "$_owner"
 		echo "$message" > "/home/${_owner}/.ssh/authorized_keys"